<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
	** Project - Paper Subcription   **
	** Controller - Login **
	** Model - Loginm **
*/

class Login extends CI_Controller {
	
	function __construct(){
		parent::__construct();
		$this->load->library('javascript');
		$this->load->library('session');
		$this->load->helper('url');
		$this->load->model('Loginm');
	}

	public function index($value='')
	{
	    $this->load->view('common/header');
	    $this->load->view('login');
		$this->load->view('common/footer');
	}
	public function check_agentcode()
	{
			$agentcode = $this->input->post('agent');
			$flag = $this->Loginm->get_agent_details($agentcode);
			if($flag){
				echo json_encode($flag);	
			}else{
				echo json_encode(array('status'=>'fail'));
			}	
	}
	public function checkPayerExist($value='')
	{
			$id=1000008;
			$data=$this->Loginm->checkPayerExist($id);
			//print_r($data);
	}	
	
	public function pay($agentcode,$amount,$userId,$paymode,$agentName,$readername,$readermobile)
	{
	    //echo $readername.'@@@'.$readermobile;
	    
	    /* echo $agentcode;
	    echo $userId;
	    echo $paymode;
	    echo $agentName; */
	    
	    if(isset($agentcode,$amount,$userId,$paymode,$agentName)){
	/*	$agentcode = $_POST['agentcode'];
		$amount = $_POST['amount'];
		$paymode = $_POST['paymode'];
		$agentName = $_POST['agentName']; */
		
		$this->load->view('common/header');
		$this->load->view('payment',compact('agentcode','amount','paymode','agentName','readername','readermobile'));
		$this->load->view('common/footer');
	    }else{
	        redirect('login');
	    }
	}
	
	public function success()
		{
		 
		  function decrypt($cipherText,  $key)
          {
    		 $algo='aes-128-cbc';
    
    		 $iv=substr($key, 0, 16);
    					//echo $iv;
    		$cipherText = base64_decode($cipherText);
    						
    						$plaintext = openssl_decrypt(
    						$cipherText,
    						$algo,
    						$key,
    						OPENSSL_RAW_DATA,
    						$iv
    					);
	    	 return $plaintext;   

        	}

            $key = "KgcxFEHwsTZ03CdfZQWXD6lLBFChtCq/WlKP/XRi0v8=";
          if ($_REQUEST['encData'])
          {
            
            $transactionData=  decrypt($_REQUEST['encData'],$key);
            $value = explode("|",  $transactionData);
            $dataArray = array('order_id' => $value[0],
                            'trans_id' => $value[1],
                            'p_status' => $value[2],
                            'amount' => $value[3],
                            'curency' => $value[4],
                            'nb' => $value[5],
                            'sbi' => $value[8],
                            'ref_id' => $value[9],
                             'trans_date' => $value[10],
                             'country' => $value[11],
                             'marchant_id' => $value[13],
                            
              
                        );
                        
               // $this->doubleVerification($value[0],$value[3]);     
            	$flag = $this->Loginm->paymentresponse($dataArray);
            
          }
          else
          {
          die("Please try again...");
          }
        $this->load->view('common/header');
    	$this->load->view('success',compact('dataArray'));
        $this->load->view('common/footer');
    	   	
		}
		
	public function fail()
		{
			 function decrypt($cipherText,  $key)
          {
    		 $algo='aes-128-cbc';
    
    		 $iv=substr($key, 0, 16);
    					//echo $iv;
    		$cipherText = base64_decode($cipherText);
    						
    						$plaintext = openssl_decrypt(
    						$cipherText,
    						$algo,
    						$key,
    						OPENSSL_RAW_DATA,
    						$iv
    					);
	    	 return $plaintext;   

        	}

            $key = "KgcxFEHwsTZ03CdfZQWXD6lLBFChtCq/WlKP/XRi0v8=";
          if ($_REQUEST['encData'])
          {
            
            $transactionData=  decrypt($_REQUEST['encData'],$key);
            $value = explode("|",  $transactionData);
            $dataArray = array('order_id' => $value[0],
                            'trans_id' => $value[1],
                            'p_status' => $value[2],
                            'amount' => $value[3],
                            'curency' => $value[4],
                            'nb' => $value[5],
                            'sbi' => $value[8],
                            'ref_id' => $value[9],
                             'trans_date' => $value[10],
                             'country' => $value[11],
                             'marchant_id' => $value[13],
                            
              
                        );
           $flag = $this->Loginm->paymentresponse($dataArray);
        
            
          }
          else
          {
          die("Please try again...");
          }
        $this->load->view('common/header');
    	$this->load->view('fail',compact('dataArray'));
        $this->load->view('common/footer');
		}
		
		public function push_response(){
	    
	    $pushResp = $this->input->post('pushRespData');
	    $merId = $this->input->post('merchidVal');
	    $bankCode = $this->input->post('Bank_Code');
	    
	     $dataArray = array('pushRespData' => $pushResp,
                            'merchidVal' => $merId,
                            'Bank_Code' => $bankCode
                        );
	    
	    print_r($dataArray);
	}	
		
	public function doubleVerification($m_order_no, $amount)
	{
	    //$this->sbiDoubleVerification();
	    
	   
	    $merchant_order_no = $m_order_no; // merchant order no
	    $merchantid="1001861";  //merchant id
        $amount=$amount; // Transaction posting Amount 
	    $url="https://sbiepay.sbi/payagg/statusQuery/getStatusQuery";
	    // double verification url
	    $queryRequest="|$merchantid|$merchant_order_no|$amount"; 

		$queryRequest33=http_build_query(array('queryRequest' => $queryRequest,"aggregatorId"=>"SBIEPAY","merchantId"=>$merchantid));
		//echo "$url,$queryRequest33";exit;
	
		$ch = curl_init($url);
        curl_setopt($ch, CURLOPT_SSLVERSION, true);
        curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_ANY);
        curl_setopt($ch, CURLOPT_TIMEOUT, 60);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch,CURLOPT_POSTFIELDS, $queryRequest33);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
        $response = curl_exec ($ch);
		
		if (curl_errno($ch)) {
			echo $error_msg = curl_error($ch);
		}				
		curl_close ($ch);
	//	echo $response.'AAAAAAAAAAAAAAAAAAAAAAAA';
	}
	
	public function getResponse(){
	    
	   $dataArray = array('push_data' => $_POST['pushRespData'],
	                 'merchid' => $_POST['merchIdVal'],
	                 'bankcode' => $_POST['Bank_Code']
	                 );
	    print_r($dataArray);             
	}
	

		//Check Input
		function check_input($data){
			$data = trim($data);
			$data = htmlspecialchars($data);
			$data = stripslashes($data);
			return $data;
		}
}
?>
